Get device​
GET
/devices/{id}
Authorizations​
ApiKeyAuth
API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.
Type
API Key (header: Authorization)
Example
"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."Parameters​
Path Parameters
id*
Model id
Type
Requiredstring
Format
"JSON"Query Parameters
filter
Filter defining fields and include - must be a JSON-encoded string ({"something":"value"})
Type
string
Format
"JSON"GET
/devices/{id}
Request example
Responses​
Body (JSON)
application/json
JSON"imei": "string","iccid": "string","loraId": 0,"imsi": "string","btMac": 0,"btMacAddress": "string","uwbId": 0,"serial": "string","type": "string","expires": "string","lastConnection": "string","firstSeen": "string","mode": "default","name": "string","batteryVoltage": 0,"batteryPct": 0,"batteryType": "LIO","tags": ["string"],"currentMode": 0,"color": "fc7c3d","saveToWeb": false,"active": false,"deepSleep": false,"simstate": "active","stripeSubscription": "string","subscriptionType": "string","meta": {},"siloId": 0,"resellerId": 0,"btPasskey": 0,"simType": "JT","id": 0,"ownerId": 0,"resellerPlanId": 0,"onoWhitelistId": 0
{
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
}
Try this endpoint
Playground​
Authorization
Variables
Key
Value